Configure Foreman with syslog by default

02/15/2016 04:34 AM - Lukas Zapletal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1305013 Red Hat JIRA:  

Pull request:    

Description

For production instances (installations from distribution packages), having file loggers set by default is not ideal. Log rotate action

needs restart of the Rails app (not sure if Rails support signal) and there are additional capabilities when logging into syslog/journald.

This ticket is to track change in packaging to configure syslog logging and log rotating by the external rotating daemon.

Related issues:

Related to Foreman - Feature #7033: Syslog capability Duplicate 08/12/2014

Related to Foreman - Feature #10487: As a developer, I should be able to defi... Closed 05/12/2015

Related to Smart Proxy - Refactor #12402: Configure proxy with syslog by default New 11/05/2015

History

#1 - 02/15/2016 04:34 AM - Lukas Zapletal

- Related to Feature #7033: Syslog capability added

#2 - 02/15/2016 04:35 AM - Lukas Zapletal

- Related to Feature #10487: As a developer, I should be able to define custom loggers and control them via settings added

#3 - 02/15/2016 04:35 AM - Lukas Zapletal

- Related to Refactor #12402: Configure proxy with syslog by default added

#4 - 02/15/2016 04:39 AM - Lukas Zapletal

- Bugzilla link set to 1305013

#5 - 03/29/2018 01:47 PM - Lukas Zapletal

- Status changed from New to Duplicate

We added both syslog and journad in Foreman core, now there is discussion to enable it by default by the installer. See #22559.
